Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 883749 - Chrome not run in F18 because missing/wrong libbz2.so.1.0
Summary: Chrome not run in F18 because missing/wrong libbz2.so.1.0
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bzip2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Schiffer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 08:23 UTC by Milan Kerslager
Modified: 2012-12-11 12:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 12:16:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Milan Kerslager 2012-12-05 08:23:53 UTC
After update from F17 to F18 by fedup I end up with Chrome not running. I tryed to reinstall with no luck (dependencies solved, but library still missing):

$ /opt/google/chrome/chrome
/opt/google/chrome/chrome: error while loading shared libraries: libbz2.so.1.0: cannot open shared object file: No such file or directory

# package-cleanup --disablerepo=Dropbox --problems
Zavedené moduly: fastestmirror, presto, refresh-packagekit
No Problems Found

$ ldd /opt/google/chrome/chrome
	linux-vdso.so.1 =>  (0x00007fff80fa2000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007f68113d9000)
	libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007f68111ce000)
	libXrender.so.1 => /lib64/libXrender.so.1 (0x00007f6810fc4000)
	libXss.so.1 => /lib64/libXss.so.1 (0x00007f6810dc0000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007f6810bad000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f68109a5000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f68107a1000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f6810552000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f6810350000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f681002d000)
	libgtk-x11-2.0.so.0 => /lib64/libgtk-x11-2.0.so.0 (0x00007f680f9b6000)
	libgdk-x11-2.0.so.0 => /lib64/libgdk-x11-2.0.so.0 (0x00007f680f6f7000)
	libatk-1.0.so.0 => /lib64/libatk-1.0.so.0 (0x00007f680f4d4000)
	libgdk_pixbuf-2.0.so.0 => /lib64/libgdk_pixbuf-2.0.so.0 (0x00007f680f2b1000)
	libpangocairo-1.0.so.0 => /lib64/libpangocairo-1.0.so.0 (0x00007f680f0a4000)
	libcairo.so.2 => /lib64/libcairo.so.2 (0x00007f680ed92000)
	libpango-1.0.so.0 => /lib64/libpango-1.0.so.0 (0x00007f680eb45000)
	libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007f680e8a4000)
	libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007f680e66a000)
	libnss3.so => /lib64/libnss3.so (0x00007f680e330000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007f680e105000)
	libsmime3.so => /lib64/libsmime3.so (0x00007f680ded8000)
	libplc4.so => /lib64/libplc4.so (0x00007f680dcd2000)
	libnspr4.so => /lib64/libnspr4.so (0x00007f680da95000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f680d879000)
	libgconf-2.so.4 => /lib64/libgconf-2.so.4 (0x00007f680d648000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f680d403000)
	libasound.so.2 => /lib64/libasound.so.2 (0x00007f680d123000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007f680cf1c000)
	libcups.so.2 => /lib64/libcups.so.2 (0x00007f680ccc1000)
	libgcrypt.so.11 => /lib64/libgcrypt.so.11 (0x00007f680ca49000)
	libbz2.so.1.0 => not found
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007f680c81f000)
	libudev.so.0 => not found
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f680c51b000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f680c21a000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f680c004000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f680bc4b000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003208800000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f680ba2d000)
	libffi.so.5 => /lib64/libffi.so.5 (0x00007f680b824000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f680b620000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007f680b2cd000)
	libpangoft2-1.0.so.0 => /lib64/libpangoft2-1.0.so.0 (0x00007f680b0b8000)
	libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007f680aeb4000)
	libXi.so.6 => /lib64/libXi.so.6 (0x00007f680aca5000)
	libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007f680aa9a000)
	libXcomposite.so.1 => /lib64/libXcomposite.so.1 (0x00007f680a896000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007f680a693000)
	libpng15.so.15 => /lib64/libpng15.so.15 (0x00007f680a469000)
	libharfbuzz.so.0 => /lib64/libharfbuzz.so.0 (0x00007f680a1d7000)
	libpixman-1.so.0 => /lib64/libpixman-1.so.0 (0x00007f6809f51000)
	libEGL.so.1 => /lib64/libEGL.so.1 (0x00007f6809d2f000)
	libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00007f6809b2b000)
	libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007f6809921000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f680970b000)
	libGL.so.1 => /lib64/libGL.so.1 (0x00007f6809485000)
	libplds4.so => /lib64/libplds4.so (0x00007f6809281000)
	libdbus-glib-1.so.2 => /lib64/libdbus-glib-1.so.2 (0x00007f6809059000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f6808e16000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f6808b31000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f6808905000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f6808701000)
	libgnutls.so.26 => /lib64/libgnutls.so.26 (0x00007f6808448000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007f6808243000)
	libavahi-common.so.3 => /lib64/libavahi-common.so.3 (0x00007f6808036000)
	libavahi-client.so.3 => /lib64/libavahi-client.so.3 (0x00007f6807e25000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f6807bed000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007f68079e9000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f68077c6000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f68075ad000)
	libicule.so.49 => /lib64/libicule.so.49 (0x00007f680736b000)
	libicuuc.so.49 => /lib64/libicuuc.so.49 (0x00007f6806ff3000)
	libicudata.so.49 => /lib64/libicudata.so.49 (0x00007f6805cd2000)
	libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007f6805acf000)
	libxcb-dri2.so.0 => /lib64/libxcb-dri2.so.0 (0x00007f68058ca000)
	libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00007f68056c3000)
	libxcb-shape.so.0 => /lib64/libxcb-shape.so.0 (0x00007f68054be000)
	libwayland-client.so.0 => /lib64/libwayland-client.so.0 (0x00007f68052b2000)
	libwayland-server.so.0 => /lib64/libwayland-server.so.0 (0x00007f68050a1000)
	libgbm.so.1 => /lib64/libgbm.so.1 (0x00007f6804e9a000)
	libglapi.so.0 => /lib64/libglapi.so.0 (0x00007f6804c4a000)
	libudev.so.1 => /lib64/libudev.so.1 (0x00007f6804a3a000)
	libdrm.so.2 => /lib64/libdrm.so.2 (0x00007f680482d000)
	libxcb-glx.so.0 => /lib64/libxcb-glx.so.0 (0x00007f6804616000)
	libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007f680440f000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f6804204000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f6804000000)
	libtasn1.so.3 => /lib64/libtasn1.so.3 (0x00007f6803dee000)
	libp11-kit.so.0 => /lib64/libp11-kit.so.0 (0x00007f6803bda000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007f6803971000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f6803712000)

$ ldd /opt/google/chrome/chrome
	linux-vdso.so.1 =>  (0x00007fff80fa2000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007f68113d9000)
	libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007f68111ce000)
	libXrender.so.1 => /lib64/libXrender.so.1 (0x00007f6810fc4000)
	libXss.so.1 => /lib64/libXss.so.1 (0x00007f6810dc0000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007f6810bad000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f68109a5000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f68107a1000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f6810552000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f6810350000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f681002d000)
	libgtk-x11-2.0.so.0 => /lib64/libgtk-x11-2.0.so.0 (0x00007f680f9b6000)
	libgdk-x11-2.0.so.0 => /lib64/libgdk-x11-2.0.so.0 (0x00007f680f6f7000)
	libatk-1.0.so.0 => /lib64/libatk-1.0.so.0 (0x00007f680f4d4000)
	libgdk_pixbuf-2.0.so.0 => /lib64/libgdk_pixbuf-2.0.so.0 (0x00007f680f2b1000)
	libpangocairo-1.0.so.0 => /lib64/libpangocairo-1.0.so.0 (0x00007f680f0a4000)
	libcairo.so.2 => /lib64/libcairo.so.2 (0x00007f680ed92000)
	libpango-1.0.so.0 => /lib64/libpango-1.0.so.0 (0x00007f680eb45000)
	libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007f680e8a4000)
	libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007f680e66a000)
	libnss3.so => /lib64/libnss3.so (0x00007f680e330000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007f680e105000)
	libsmime3.so => /lib64/libsmime3.so (0x00007f680ded8000)
	libplc4.so => /lib64/libplc4.so (0x00007f680dcd2000)
	libnspr4.so => /lib64/libnspr4.so (0x00007f680da95000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f680d879000)
	libgconf-2.so.4 => /lib64/libgconf-2.so.4 (0x00007f680d648000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f680d403000)
	libasound.so.2 => /lib64/libasound.so.2 (0x00007f680d123000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007f680cf1c000)
	libcups.so.2 => /lib64/libcups.so.2 (0x00007f680ccc1000)
	libgcrypt.so.11 => /lib64/libgcrypt.so.11 (0x00007f680ca49000)
	libbz2.so.1.0 => not found
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007f680c81f000)
	libudev.so.0 => not found
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f680c51b000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f680c21a000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f680c004000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f680bc4b000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003208800000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f680ba2d000)
	libffi.so.5 => /lib64/libffi.so.5 (0x00007f680b824000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f680b620000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007f680b2cd000)
	libpangoft2-1.0.so.0 => /lib64/libpangoft2-1.0.so.0 (0x00007f680b0b8000)
	libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007f680aeb4000)
	libXi.so.6 => /lib64/libXi.so.6 (0x00007f680aca5000)
	libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007f680aa9a000)
	libXcomposite.so.1 => /lib64/libXcomposite.so.1 (0x00007f680a896000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007f680a693000)
	libpng15.so.15 => /lib64/libpng15.so.15 (0x00007f680a469000)
	libharfbuzz.so.0 => /lib64/libharfbuzz.so.0 (0x00007f680a1d7000)
	libpixman-1.so.0 => /lib64/libpixman-1.so.0 (0x00007f6809f51000)
	libEGL.so.1 => /lib64/libEGL.so.1 (0x00007f6809d2f000)
	libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00007f6809b2b000)
	libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007f6809921000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f680970b000)
	libGL.so.1 => /lib64/libGL.so.1 (0x00007f6809485000)
	libplds4.so => /lib64/libplds4.so (0x00007f6809281000)
	libdbus-glib-1.so.2 => /lib64/libdbus-glib-1.so.2 (0x00007f6809059000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f6808e16000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f6808b31000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f6808905000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f6808701000)
	libgnutls.so.26 => /lib64/libgnutls.so.26 (0x00007f6808448000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007f6808243000)
	libavahi-common.so.3 => /lib64/libavahi-common.so.3 (0x00007f6808036000)
	libavahi-client.so.3 => /lib64/libavahi-client.so.3 (0x00007f6807e25000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f6807bed000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007f68079e9000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f68077c6000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f68075ad000)
	libicule.so.49 => /lib64/libicule.so.49 (0x00007f680736b000)
	libicuuc.so.49 => /lib64/libicuuc.so.49 (0x00007f6806ff3000)
	libicudata.so.49 => /lib64/libicudata.so.49 (0x00007f6805cd2000)
	libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007f6805acf000)
	libxcb-dri2.so.0 => /lib64/libxcb-dri2.so.0 (0x00007f68058ca000)
	libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00007f68056c3000)
	libxcb-shape.so.0 => /lib64/libxcb-shape.so.0 (0x00007f68054be000)
	libwayland-client.so.0 => /lib64/libwayland-client.so.0 (0x00007f68052b2000)
	libwayland-server.so.0 => /lib64/libwayland-server.so.0 (0x00007f68050a1000)
	libgbm.so.1 => /lib64/libgbm.so.1 (0x00007f6804e9a000)
	libglapi.so.0 => /lib64/libglapi.so.0 (0x00007f6804c4a000)
	libudev.so.1 => /lib64/libudev.so.1 (0x00007f6804a3a000)
	libdrm.so.2 => /lib64/libdrm.so.2 (0x00007f680482d000)
	libxcb-glx.so.0 => /lib64/libxcb-glx.so.0 (0x00007f6804616000)
	libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007f680440f000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f6804204000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f6804000000)
	libtasn1.so.3 => /lib64/libtasn1.so.3 (0x00007f6803dee000)
	libp11-kit.so.0 => /lib64/libp11-kit.so.0 (0x00007f6803bda000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007f6803971000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f6803712000)

$ ldd /opt/google/chrome/chrome
	linux-vdso.so.1 =>  (0x00007fff80fa2000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007f68113d9000)
	libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007f68111ce000)
	libXrender.so.1 => /lib64/libXrender.so.1 (0x00007f6810fc4000)
	libXss.so.1 => /lib64/libXss.so.1 (0x00007f6810dc0000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007f6810bad000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f68109a5000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f68107a1000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f6810552000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f6810350000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f681002d000)
	libgtk-x11-2.0.so.0 => /lib64/libgtk-x11-2.0.so.0 (0x00007f680f9b6000)
	libgdk-x11-2.0.so.0 => /lib64/libgdk-x11-2.0.so.0 (0x00007f680f6f7000)
	libatk-1.0.so.0 => /lib64/libatk-1.0.so.0 (0x00007f680f4d4000)
	libgdk_pixbuf-2.0.so.0 => /lib64/libgdk_pixbuf-2.0.so.0 (0x00007f680f2b1000)
	libpangocairo-1.0.so.0 => /lib64/libpangocairo-1.0.so.0 (0x00007f680f0a4000)
	libcairo.so.2 => /lib64/libcairo.so.2 (0x00007f680ed92000)
	libpango-1.0.so.0 => /lib64/libpango-1.0.so.0 (0x00007f680eb45000)
	libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007f680e8a4000)
	libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007f680e66a000)
	libnss3.so => /lib64/libnss3.so (0x00007f680e330000)
	libnssutil3.so => /lib64/libnssutil3.so (0x00007f680e105000)
	libsmime3.so => /lib64/libsmime3.so (0x00007f680ded8000)
	libplc4.so => /lib64/libplc4.so (0x00007f680dcd2000)
	libnspr4.so => /lib64/libnspr4.so (0x00007f680da95000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f680d879000)
	libgconf-2.so.4 => /lib64/libgconf-2.so.4 (0x00007f680d648000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f680d403000)
	libasound.so.2 => /lib64/libasound.so.2 (0x00007f680d123000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007f680cf1c000)
	libcups.so.2 => /lib64/libcups.so.2 (0x00007f680ccc1000)
	libgcrypt.so.11 => /lib64/libgcrypt.so.11 (0x00007f680ca49000)
	libbz2.so.1.0 => not found
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007f680c81f000)
	libudev.so.0 => not found
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f680c51b000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f680c21a000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f680c004000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f680bc4b000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003208800000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f680ba2d000)
	libffi.so.5 => /lib64/libffi.so.5 (0x00007f680b824000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f680b620000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007f680b2cd000)
	libpangoft2-1.0.so.0 => /lib64/libpangoft2-1.0.so.0 (0x00007f680b0b8000)
	libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007f680aeb4000)
	libXi.so.6 => /lib64/libXi.so.6 (0x00007f680aca5000)
	libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007f680aa9a000)
	libXcomposite.so.1 => /lib64/libXcomposite.so.1 (0x00007f680a896000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007f680a693000)
	libpng15.so.15 => /lib64/libpng15.so.15 (0x00007f680a469000)
	libharfbuzz.so.0 => /lib64/libharfbuzz.so.0 (0x00007f680a1d7000)
	libpixman-1.so.0 => /lib64/libpixman-1.so.0 (0x00007f6809f51000)
	libEGL.so.1 => /lib64/libEGL.so.1 (0x00007f6809d2f000)
	libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00007f6809b2b000)
	libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007f6809921000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f680970b000)
	libGL.so.1 => /lib64/libGL.so.1 (0x00007f6809485000)
	libplds4.so => /lib64/libplds4.so (0x00007f6809281000)
	libdbus-glib-1.so.2 => /lib64/libdbus-glib-1.so.2 (0x00007f6809059000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f6808e16000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f6808b31000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f6808905000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f6808701000)
	libgnutls.so.26 => /lib64/libgnutls.so.26 (0x00007f6808448000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007f6808243000)
	libavahi-common.so.3 => /lib64/libavahi-common.so.3 (0x00007f6808036000)
	libavahi-client.so.3 => /lib64/libavahi-client.so.3 (0x00007f6807e25000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00007f6807bed000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007f68079e9000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f68077c6000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f68075ad000)
	libicule.so.49 => /lib64/libicule.so.49 (0x00007f680736b000)
	libicuuc.so.49 => /lib64/libicuuc.so.49 (0x00007f6806ff3000)
	libicudata.so.49 => /lib64/libicudata.so.49 (0x00007f6805cd2000)
	libX11-xcb.so.1 => /lib64/libX11-xcb.so.1 (0x00007f6805acf000)
	libxcb-dri2.so.0 => /lib64/libxcb-dri2.so.0 (0x00007f68058ca000)
	libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00007f68056c3000)
	libxcb-shape.so.0 => /lib64/libxcb-shape.so.0 (0x00007f68054be000)
	libwayland-client.so.0 => /lib64/libwayland-client.so.0 (0x00007f68052b2000)
	libwayland-server.so.0 => /lib64/libwayland-server.so.0 (0x00007f68050a1000)
	libgbm.so.1 => /lib64/libgbm.so.1 (0x00007f6804e9a000)
	libglapi.so.0 => /lib64/libglapi.so.0 (0x00007f6804c4a000)
	libudev.so.1 => /lib64/libudev.so.1 (0x00007f6804a3a000)
	libdrm.so.2 => /lib64/libdrm.so.2 (0x00007f680482d000)
	libxcb-glx.so.0 => /lib64/libxcb-glx.so.0 (0x00007f6804616000)
	libXxf86vm.so.1 => /lib64/libXxf86vm.so.1 (0x00007f680440f000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f6804204000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f6804000000)
	libtasn1.so.3 => /lib64/libtasn1.so.3 (0x00007f6803dee000)
	libp11-kit.so.0 => /lib64/libp11-kit.so.0 (0x00007f6803bda000)
	libfreebl3.so => /lib64/libfreebl3.so (0x00007f6803971000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f6803712000)

# rpm -q bzip2-libs
bzip2-libs-1.0.6-7.fc18.x86_64
# rpm -V bzip2-libs
# ls -l /usr/lib64/libbz2.so.1*
lrwxrwxrwx. 1 root root    15  5. pro 01.02 /usr/lib64/libbz2.so.1 -> libbz2.so.1.0.6
-rwxr-xr-x. 1 root root 70416 26. říj 14.57 /usr/lib64/libbz2.so.1.0.6

Seems like something is broken with this library (and with libudev.so.0 too) in F18 beta.

Comment 1 Peter Schiffer 2012-12-05 16:30:30 UTC
Hi Milan,

I tried chrome on fresh installation of Fedora 18 and it's working without any problems. ldd on it's binary shows "libbz2.so.1.0 => not found" as in your description, but I'm not getting the error message when running chrome from command line. It's the same as in Fedora 17.

So, please try this post upgrade clean up if you didn't yet:
http://fedorasolved.org/Members/fenris02/post_upgrade_cleanup

If it still won't work, run as root:
# ldconfig

If still nothing, try to create the missing symbolic link:
# ln -s /usr/lib64/libbz2.so.1.0.6 /usr/lib64/libbz2.so.1.0
# ldconfig

and let me know the result.

Thanks,

peter

Comment 2 Milan Kerslager 2012-12-05 23:21:35 UTC
I found that this is possible to run /opt/google/chrome/google-chrome, but it is not possible to run /opt/google/chrome/chrome (as I wrote above). It seems like chrome is main binary and google-chrome is a wrapper.

Comment 3 Peter Schiffer 2012-12-06 11:09:40 UTC
Yes, you are correct. /opt/google/chrome/chrome is a binary and /opt/google/chrome/google-chrome is a shell wrapper script which prepares environment for the chrome binary..

But now I don't understand what's the problem. Why can't you run /opt/google/chrome/google-chrome?

Comment 4 Peter Schiffer 2012-12-11 12:16:29 UTC
I am closing this bug as NOTABUG, if you still have some problem with running chrome, feel free to reopen it.


Note You need to log in before you can comment on or make changes to this bug.